<app-gen-modal 
[(isVisible)]="isVisible" 
[bodyTemplate]="bodyTemplate" 
[headerTemplate]="headerTemplate"
[footerTemplate]="footerTemplate"
></app-gen-modal>

<ng-template #bodyTemplate>
    <div *ngIf="isLoadingTodo" class="d-flex justify-content-center">
        <div class="spinner-border" role="status">
          
        </div>
    </div>
    <div class="card"  *ngIf="!isLoadingTodo">
        <div class="card-body">
            <form (ngSubmit)="handleOk()" class="form form-vertical" [formGroup]="form">
                <div class="row">
                    <div class="col-12">
                        <div class="mb-1">
                            <label class="form-label" for="first-name-column">Intitulé</label>
                            <input type="text" id="first-name-column" class="form-control" placeholder="" formControlName="name" />
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="mb-1">
                            <label class="form-label" for="last-name-column">Description</label>
                            <textarea  id="company-or-client-description" class="form-control" placeholder="" formControlName="description" rows="3" ></textarea>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="mb-1">
                            <label class="form-label" >Aperçu</label>
                            <input type="file" multiple="true" class="form-control"  (change)="onFileInputChange($event)" placeholder="" />
                        </div>
                        <ng-container *ngIf="selectedFiles!=null">
                            <div class="file-container">
                                <div *ngFor="let file of selectedFiles; let i = index" class="file" >
                                  <ng-container >
                                      <img [src]="getSanitizedImageUrl(file)" />
                                      <span (click)="onDelete(i)">X</span>
                                  </ng-container>
                                </div>
                              </div>
                        </ng-container>
                    </div>
                    
                    <input type="submit" hidden>
                   
                </div>
            </form>
        </div>
    </div>
</ng-template>

<ng-template #headerTemplate>
    <h4 class="modal-title" id="modal-basic-title">Modifier une tâche</h4>
</ng-template> 

<ng-template #footerTemplate>
    <button type="button" class="btn btn-outline-dark" (click)="handleCancel()">Annuler</button>

    <app-gen-button *ngIf="!isLoadingTodo" [text]="'Enregistrer'" [disabled]="!form.valid" [isLoading]="isLoading" (click)="handleOk()"></app-gen-button>
   
</ng-template> 



